org.bouncycastle.asn1.x509

## Class PrivateKeyUsagePeriod

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.PrivateKeyUsagePeriod

All Implemented Interfaces:
  DEREncodable

    public class PrivateKeyUsagePeriod
    extends ASN1Encodable

        PrivateKeyUsagePeriod ::= SEQUENCE {
          notBefore       [0]     GeneralizedTime OPTIONAL,
          notAfter        [1]     GeneralizedTime OPTIONAL }

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static PrivateKeyUsagePeriod` `getInstance(java.lang.Object obj)`
`DERGeneralizedTime` `getNotAfter()`
`DERGeneralizedTime` `getNotBefore()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static PrivateKeyUsagePeriod getInstance(java.lang.Object obj)

#### getNotBefore

    public DERGeneralizedTime getNotBefore()

#### getNotAfter

    public DERGeneralizedTime getNotAfter()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`